Subject: Re: [Pce] Adam Roach's No Objection on draft-ietf-pce-pce-initiated-lsp-10: (with COMMENT)

From: Jonathan Hardwick <[email-masked]>
Date: Wed, 4 Oct 2017 16:09:23 +0000

Hi Adam

Many thanks for these comments.  I'm picking up this thread and replying as PCE working group chair, as the authors are unavailable.  I am very sorry for the delay.

Please see my proposed resolutions inline below, marked with "Jon>"

Best regards
Jon

<snip>

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Section 5.1 defines the PCInititate Message, and is generally pretty good about indicating where its component elements come from; however, it's missing pointers to <LSP>, <END-POINTS>, and <ERO>. I think you want to add: "<LSP>, <END-POINTS>, and <ERO> are defined in [RFC5440]".

Jon> I will add this:  '<LSP> is defined in [RFC8231]. <END-POINTS>, and <ERO> are defined in [RFC5440].'

Section 5.3 indicates that an indication that the PCC is supposed to pick the source address is signaled by using a source address of "0.0.0.0" -- presumably, if the destination is an IPv6 address, this would instead use "::", right? Please add text that addresses the IPv6 case.

Jon> Thanks, you are correct.  I will change it to this: 'The source address MAY either be specified or left for the PCC to choose by setting it to "0.0.0.0" (if the destination is an IPv4 address) or "::" (if the destination is an IPv6 address).'

I'm pretty certain that [I-D.ietf-pce-stateful-sync-optimizations] is a normative reference. Even though its use is optional, this document contains normative statements regarding its mechanism. See <https://www.ietf.org/iesg/statement/normative-informative.html> for guidance, and "Note 1" of that statement in particular.

Jon> Oops! We will make it a normative reference.